Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.portlet.info
Class CoreInfoBuilder

    java.lang.Object
      org.jboss.portal.core.impl.portlet.info.CoreInfoBuilder

All Implemented Interfaces:
  InfoBuilder

    public class CoreInfoBuilder

extends java.lang.Object
implements InfoBuilder

Version:
  $Revision$
Author:
  Thomas Heute

Constructor Summary
`CoreInfoBuilder(JBossApplicationMetaData jbossApplicationMetaData, org.jboss.portal.portlet.impl.metadata.PortletApplication10MetaData portletApplicationMD, CoreInfoBuilderContext builderContext)`

Method Summary
`void` | `build()`
`org.jboss.portal.portlet.impl.info.ContainerPortletApplicationInfo` | `getApplication()`
`java.util.Collection<org.jboss.portal.portlet.info.PortletInfo>` | `getPortlets()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreInfoBuilder

    public CoreInfoBuilder(JBossApplicationMetaData jbossApplicationMetaData,
                           org.jboss.portal.portlet.impl.metadata.PortletApplication10MetaData portletApplicationMD,
                           CoreInfoBuilderContext builderContext)

Method Detail

### getPortlets

    public java.util.Collection<org.jboss.portal.portlet.info.PortletInfo> getPortlets()

  Specified by:
    `getPortlets` in interface `InfoBuilder`

### getApplication

    public org.jboss.portal.portlet.impl.info.ContainerPortletApplicationInfo getApplication()

  Specified by:
    `getApplication` in interface `InfoBuilder`

### build

    public void build()

  Specified by:
    `build` in interface `InfoBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD